<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    android:paddingTop="@dimen/platform_dp_15">

    <FrameLayout
        android:id="@+id/flPriceRangeView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="50dp"
        android:paddingStart="@dimen/platform_dp_12"
        android:paddingEnd="@dimen/platform_dp_12"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_start_end_price"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="0-不限"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_marginTop="@dimen/platform_dp_30"
        android:textColor="@color/platform_color_black_333333"
        android:textSize="@dimen/platform_sp_14"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flPriceRangeView" />

    <com.yidianling.consultant.ui.view.rangeseekbar.RangeSeekBar
        android:id="@+id/range_price_seekbar"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/platform_dp_20"
        android:layout_marginEnd="@dimen/platform_dp_20"
        android:layout_marginTop="@dimen/platform_dp_15"
        app:rsb_progress_height="3.5dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_start_end_price"
        app:rsb_gravity="bottom"
        app:rsb_mode="range"
        app:rsb_progress_color="@color/platform_main_theme"
        app:rsb_step_auto_bonding="true"
        app:rsb_step_color="#c3c4ca"
        app:rsb_step_height="3.5dp"
        app:rsb_step_width="0.5dp"
        app:rsb_steps="6"
        app:rsb_thumb_drawable="@drawable/thumb_yellow_stroke"
        app:rsb_thumb_height="@dimen/platform_dp_15"
        app:rsb_thumb_width="@dimen/platform_dp_15"
        app:rsb_tick_mark_layout_gravity="bottom"
        app:rsb_tick_mark_mode="other"
        app:rsb_tick_mark_text_array="@array/wordsArray"
        app:rsb_tick_mark_text_margin="20dp" />

    <View
        android:id="@+id/seperate_line"
        android:layout_width="wrap_content"
        android:layout_height="0.5dp"
        android:layout_marginTop="@dimen/platform_dp_30"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/range_price_seekbar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="68dp"
        android:layout_marginTop="@dimen/platform_dp_8"
        android:background="@color/white"
        android:orientation="horizontal"
        android:paddingStart="16dp"
        android:paddingTop="8dp"
        android:paddingEnd="16dp"
        app:layout_constraintTop_toBottomOf="@id/seperate_line">

        <TextView
            android:id="@+id/price_reset"
            android:layout_width="0dp"
            android:layout_height="44dp"
            android:layout_weight="1"
            android:background="@drawable/consultant_stroke_ebebeb_r_8"
            android:gravity="center"
            android:text="@string/platform_reset"
            android:textColor="@color/platform_color_242424"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/price_Confirm"
            android:layout_width="0dp"
            android:layout_height="44dp"
            android:layout_marginStart="13dp"
            android:layout_weight="1"
            android:background="@drawable/consultant_solid_main_theme_color_r_8"
            android:gravity="center"
            android:text="@string/platform_confirm"
            android:textColor="@color/white"
            android:textSize="16sp" />

    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>